<?xml version="1.0" encoding='ISO-8859-1'?>

<xsl:stylesheet version="2.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:u="http://www.uved.fr/schema/2.0"
    exclude-result-prefixes="u">

    <!-- ************************************************ -->
    <!-- Cration du fichier du sommaire -->
    <!-- ************************************************ -->
    <!-- version 0.2 Romuald Lorthioir - CIRM - Universit de Rennes 1 -->
    <!-- version 1.0 pour UVED 2.0 - Damien Guillaume, Observatoire de Paris -->

    <xsl:template name="UVED_SOMMAIRE">
        <xsl:call-template name="ecrireDansFichier">
            <xsl:with-param name="fichier" select="concat($cheminSite,'plan.html')"/>
            <xsl:with-param name="contenu">
             <html lang="fr">
                <xsl:call-template name="headerPagePlan" />
                <body>
                    <div id="content" class="map">
                        <h1>Plan</h1>
                        <p class="tree-menu"><a href="javascript:treeInstance.expandAll();">Dvelopper</a> / <a href="javascript:treeInstance.collapseAll();">Rduire</a> tout le plan</p>
                        <ul id="tree" class="tree-view">
                            <xsl:call-template name="sommairePage" />
                            <xsl:call-template name="sommaireRessources" />
                        </ul>
                        <div id="close">
                            <a href="javascript:window.close();" title="">Fermer la fentre</a>
                        </div>
                    </div>
                </body>
            </html>
           </xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template name="sommaireRessources">
        <li id="ressources">
            <a href="ressources.html">Ressources</a>
            <ul>
                <li id="glossaire">
                    <a href="glossaire.html">Glossaire</a>
                </li>
                <li id="webographie">
                    <a href="webographie.html">Webographie</a>
                </li>
                <li id="bibliographie">
                    <a href="bibliographie.html">Bibliographie</a>
                </li>            
            </ul>
        </li>
    </xsl:template>
</xsl:stylesheet>
